package iot.lidee.pay.core.convert.demo;

import iot.lidee.common.core.domain.PageResult;
import iot.lidee.pay.core.controller.admin.demo.vo.OrderInfoCreateReqVO;
import iot.lidee.pay.core.controller.admin.demo.vo.OrderInfoRespVO;
import iot.lidee.pay.core.domain.dataobject.demo.OrderInfo;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 示例订单 Convert
 *
 * @author 裕恒
 */
@Mapper
public interface OrderInfoConvert {

    OrderInfoConvert INSTANCE = Mappers.getMapper(OrderInfoConvert.class);

    OrderInfo convert(OrderInfoCreateReqVO bean);

    OrderInfoRespVO convert(OrderInfo bean);

    PageResult<OrderInfoRespVO> convertPage(PageResult<OrderInfo> page);

}
